package com.jxy.system.mapper;

import com.jxy.system.api.entity.SysUserLeveDate;
import com.jxy.system.entity.SysUserRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description TODO
 * @Date 2023/5/5 11:33
 * @Author 杜懿
 */
public interface SysUserLevelMapper {

    public SysUserLeveDate getUserLevelInfo(@Param("userId") Long userId);

    /**
     * 批量(逻辑)删除过期用户 根据会员时间表id
     * @param ids
     */
    public void deleteExpireUserLevelInfo(@Param("ids") List<Long> ids);

    public int deleteUserLevelInfoByUserId(@Param("userId") Long userId);

    public int createUserLevelInfo(@Param("vo") SysUserLeveDate vo);

    /**
     * 获取过期会员
     * @return
     */
    public List<Long> getExpireUserIds();


}
